Loading...
Searching...
No Matches
pair_util.h

Go to the source code of this file.

## Classes

struct | get_first< T1, T2 >
struct | get_second< T1, T2 >

## Namespaces

namespace | rheolef
| This file is part of Rheolef.

## Functions

template<typename InputPairIterator, typename OutputPairIterator, typename UnaryOperation>
OutputPairIterator | pair_transform_second (InputPairIterator first, InputPairIterator last, OutputPairIterator result, UnaryOperation unary_op)
template<class T1, class T2>
std::ostream & | operator<< (std::ostream &out, const std::pair< T1, T2 > &x)